#ifndef _ACCELERATOR_H
#define _ACCELERATOR_H

#include <linux/types.h>
#include <linux/ioctl.h>

//typedef struct {
//  unsigned short red, green, blue;
//} vga_ball_color_t;
//
//typedef struct {
//	unsigned short x;
//	unsigned short y;
//} vga_position;
//
typedef struct {
	unsigned int input_byte;
	unsigned int output_byte;
	unsigned int valid_flag;
	unsigned int start_flag;
	unsigned int load_complete_flag;
} layer_package;

typedef struct layer_package accelerator_arg_t;

#define ACCEL_BALL_MAGIC 'q'

/* ioctls and their arguments */
#define ACCEL_WRITE_INPUT        _IOW(ACCEL_BALL_MAGIC, 1, accelerator_arg_t)
#define ACCEL_READ_OUTPUT        _IOR(ACCEL_BALL_MAGIC, 2, accelerator_arg_t)
#define ACCEL_READ_VALID_F       _IOR(ACCEL_BALL_MAGIC, 3, accelerator_arg_t)
#define ACCEL_WRITE_START_F      _IOW(ACCEL_BALL_MAGIC, 4, accelerator_arg_t)
#define ACCEL_WRITE_LOADDONE_F   _IOW(ACCEL_BALL_MAGIC, 5, accelerator_arg_t)

#endif
